Entities Structure

Get an ISIC code

Get an ISIC4 item by code

GET
https://api.textreveal.com/v3/isic/{code}

Request

Parameters

  • code*string

    ISIC4 section letter or 2-4 digit division, group, or class code.

    Example: "A"
  • languagelanguage-code (enum)

    Language code for the response (e.g. fr, french). Defaults to English.

    Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"... 

Response

Response - 200

The ISIC4 section, division, group or class matching the given code.

    Response
    {
      "code": "A",
      "description": "Agriculture, forestry and fishing",
      "universe_id": "75ebc096-749e-4b8f-b690-df13daf49c62",
      "values": [
        {
          "code": "01",
          "description": "Crop and animal production, hunting and related service activities",
          "values": [
            {
              "code": "011",
              "description": "Growing of non-perennial crops",
              "values": [
                {
                  "code": "0111",
                  "description": "Growing of cereals (except rice), leguminous crops and oil seeds"
                }
              ]
            }
          ]
        }
      ]
    }

    Error

    Error - 400

    Bad request

    • message*string

      Error message.

      Example: "Check the errors field for more details"
    • code*number (enum)

      Error code.

      Values: 400
    • reason*string (enum)

      Error reason.

      Values: "invalid"
    • errorsobject[]

      Possible error causes.

    Response
    {
      "message": "Check the errors field for more details",
      "code": 400,
      "reason": "invalid",
      "errors": [
        {
          "message": "string",
          "field": "language",
          "reason": "invalid_type"
        }
      ]
    }

    Error - 404

    Not found

    • message*string

      Error message.

      Example: "The requested ISIC4 code does not exist."
    • code*number (enum)

      Error code.

      Values: 404
    • reason*string (enum)

      Error reason.

      Values: "not_found"
    Response
    {
      "message": "The requested ISIC4 code does not exist.",
      "code": 404,
      "reason": "not_found"
    }

    Generic errors are not shown, see Errors for more details.